Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.commonapi
Class PastryEndpointMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.commonapi.PastryEndpointMessage

All Implemented Interfaces:
  java.io.Serializable

public class PastryEndpointMessage
extends Message

This class is an internal message to the commonapi gluecode.

Version:
  $Id: PastryEndpointMessage.java 2848 2005-12-15 14:54:02Z jstewart $
Author:
  Alan Mislove, Peter Druschel
See Also:
  Serialized Form

Field Summary
`protected Message` | `message` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`PastryEndpointMessage(Address address, Message message, NodeHandle sender)` Constructor.

Method Summary
`Message` | `getMessage()` Returns the internal message
`void` | `setMessage(Message message)` Returns the internal message
`java.lang.String` | `toString()` Returns the String representation of this message

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected Message message

  DESCRIBE THE FIELD

Constructor Detail

### PastryEndpointMessage

    public PastryEndpointMessage(Address address,
                                 Message message,
                                 NodeHandle sender)

  Constructor.

Parameters:
  `address` - DESCRIBE THE PARAMETER
  `message` - DESCRIBE THE PARAMETER
  `sender` - DESCRIBE THE PARAMETER

Method Detail

### getMessage

    public Message getMessage()

  Returns the internal message

  Returns:
    the credentials.

### setMessage

    public void setMessage(Message message)

  Returns the internal message

  Parameters:
    `message` - The new Message value

### toString

    public java.lang.String toString()

  Returns the String representation of this message

  Returns:
    The string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.